import{s as bi,n as vi,o as Ti}from"../chunks/scheduler.b108d059.js";import{S as yi,i as _i,g as o,s as r,r as n,A as $i,h as a,f as t,c as s,j as u,u as p,x as d,k as c,y as xi,a as i,v as f,d as m,t as h,w as b}from"../chunks/index.008de539.js";import{H as v}from"../chunks/Heading.88bfeb84.js";function Ci(Al){let T,Ke,ke,Oe,y,Be,_,ze,$,gl="Core utility functions/classes for Transformers.js.",Ie,x,Pl=`These are only used internally, meaning an end-user shouldn’t
need to access anything here.`,qe,C,El='<li><a href="#module_utils/core">utils/core</a><ul><li><em>static</em><ul><li><a href="#module_utils/core.Callable"><code>.Callable</code></a> : <code>*</code></li> <li><a href="#module_utils/core.reverseDictionary"><code>.reverseDictionary(data)</code></a> ⇒ <code>Object</code></li> <li><a href="#module_utils/core.escapeRegExp"><code>.escapeRegExp(string)</code></a> ⇒ <code>string</code></li> <li><a href="#module_utils/core.isTypedArray"><code>.isTypedArray(val)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.isIntegralNumber"><code>.isIntegralNumber(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.exists"><code>.exists(x)</code></a> ⇒ <code>boolean</code></li> <li><a href="#module_utils/core.calculateDimensions"><code>.calculateDimensions(arr)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.pop"><code>.pop(obj, key, defaultValue)</code></a> ⇒ <code>*</code></li> <li><a href="#module_utils/core.mergeArrays"><code>.mergeArrays(arrs)</code></a> ⇒ <code>Array</code></li> <li><a href="#module_utils/core.calculateReflectOffset"><code>.calculateReflectOffset(i, w)</code></a> ⇒ <code>number</code></li></ul></li> <li><em>inner</em><ul><li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li></ul></li></ul></li>',Ne,Ue,Se,H,Ve,L,Fe,w,Rl="A base class for creating callable objects.",Ge,M,jl='<strong>Kind</strong>: static constant of <a href="#module_utils/core"><code>utils/core</code></a>',Je,Qe,We,A,Xe,g,Ye,P,kl="Reverses the keys and values of an object.",Ze,E,Dl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Object</code> - The reversed object.<br/> <strong>See</strong>: <a href="https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript" rel="nofollow">https://ultimatecourses.com/blog/reverse-object-keys-and-values-in-javascript</a>',et,R,Kl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>data</td><td><code>Object</code></td><td><p>The object to reverse.</p></td></tr></tbody>",tt,lt,it,j,rt,k,st,D,Ol="Escapes regular expression special characters from a string by replacing them with their escaped counterparts.",ot,K,Bl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>string</code> - The escaped string.',at,O,zl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>string</td><td><code>string</code></td><td><p>The string to escape.</p></td></tr></tbody>",dt,ct,ut,B,nt,z,pt,I,Il="Check if a value is a typed array.",ft,q,ql='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a <code>TypedArray</code>, false otherwise.',mt,N,Nl='Adapted from <a href="https://stackoverflow.com/a/71091338/13989043" rel="nofollow">https://stackoverflow.com/a/71091338/13989043</a>',ht,U,Ul="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>val</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",bt,vt,Tt,S,yt,V,_t,F,Sl="Check if a value is an integer.",$t,G,Vl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value is a string, false otherwise.',xt,J,Fl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Ct,Ht,Lt,Q,wt,W,Mt,X,Gl="Check if a value is exists.",At,Y,Jl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>boolean</code> - True if the value exists, false otherwise.',gt,Z,Ql="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>x</td><td><code>*</code></td><td><p>The value to check.</p></td></tr></tbody>",Pt,Et,Rt,ee,jt,te,kt,le,Wl="Calculates the dimensions of a nested array.",Dt,ie,Xl='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - An array containing the dimensions of the input array.',Kt,re,Yl="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arr</td><td><code>Array</code></td><td><p>The nested array to calculate dimensions for.</p></td></tr></tbody>",Ot,Bt,zt,se,It,oe,qt,ae,Zl="Replicate python’s .pop() method for objects.",Nt,de,ei='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>*</code> - The value of the popped key.<br/> <strong>Throws</strong>:',Ut,ce,ti="<li><code>Error</code> If the key does not exist and no default value is provided.</li>",St,ue,li="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>obj</td><td><code>Object</code></td><td><p>The object to pop from.</p></td> </tr><tr><td>key</td><td><code>string</code></td><td><p>The key to pop.</p></td> </tr><tr><td>defaultValue</td><td><code>*</code></td><td><p>The default value to return if the key does not exist.</p></td></tr></tbody>",Vt,Ft,Gt,ne,Jt,pe,Qt,fe,ii=`Efficiently merge arrays, creating a new copy.
Adapted from <a href="https://stackoverflow.com/a/6768642/13989043" rel="nofollow">https://stackoverflow.com/a/6768642/13989043</a>`,Wt,me,ri='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>Array</code> - The merged array.',Xt,he,si="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>arrs</td><td><code>Array.&lt;Array&gt;</code></td><td><p>Arrays to merge.</p></td></tr></tbody>",Yt,Zt,el,be,tl,ve,ll,Te,oi="Calculates the index offset for a given index and window size.",il,ye,ai='<strong>Kind</strong>: static method of <a href="#module_utils/core"><code>utils/core</code></a><br/> <strong>Returns</strong>: <code>number</code> - The index offset.',rl,_e,di="<thead><tr><th>Param</th><th>Type</th><th>Description</th></tr></thead> <tbody><tr><td>i</td><td><code>number</code></td><td><p>The index.</p></td> </tr><tr><td>w</td><td><code>number</code></td><td><p>The window size.</p></td></tr></tbody>",sl,ol,al,$e,dl,xe,cl,Ce,ci='<strong>Kind</strong>: inner class of <a href="#module_utils/core"><code>utils/core</code></a>',ul,He,ui='<li><a href="#module_utils/core..Callable">~Callable</a><ul><li><a href="#new_module_utils/core..Callable_new"><code>new Callable()</code></a></li> <li><a href="#module_utils/core..Callable+_call"><code>._call(...args)</code></a></li></ul></li>',nl,pl,fl,Le,ml,we,hl,Me,ni="Creates a new instance of the Callable class.",bl,vl,Tl,Ae,yl,ge,_l,Pe,pi=`This method should be implemented in subclasses to provide the
functionality of the callable object.`,$l,Ee,fi='<strong>Kind</strong>: instance method of <a href="#module_utils/core..Callable"><code>Callable</code></a><br/> <strong>Throws</strong>:',xl,Re,mi="<li><code>Error</code> If the subclass does not implement the `_call` method.</li>",Cl,je,hi="<thead><tr><th>Param</th><th>Type</th></tr></thead> <tbody><tr><td>...args</td><td><code>Array.&lt;any&gt;</code></td></tr></tbody>",Hl,Ll,wl,De,Ml;return _=new v({props:{title:"utils/core",local:"utilscore",headingTag:"h1"}}),L=new v({props:{title:"utils/core.Callable : <code> * </code>",local:"utilscorecallable--code--code",headingTag:"h2"}}),g=new v({props:{title:"utils/core.reverseDictionary(data) ⇒ <code> Object </code>",local:"utilscorereversedictionarydata--code-object-code",headingTag:"h2"}}),k=new v({props:{title:"utils/core.escapeRegExp(string) ⇒ <code> string </code>",local:"utilscoreescaperegexpstring--code-string-code",headingTag:"h2"}}),z=new v({props:{title:"utils/core.isTypedArray(val) ⇒ <code> boolean </code>",local:"utilscoreistypedarrayval--code-boolean-code",headingTag:"h2"}}),V=new v({props:{title:"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>",local:"utilscoreisintegralnumberx--code-boolean-code",headingTag:"h2"}}),W=new v({props:{title:"utils/core.exists(x) ⇒ <code> boolean </code>",local:"utilscoreexistsx--code-boolean-code",headingTag:"h2"}}),te=new v({props:{title:"utils/core.calculateDimensions(arr) ⇒ <code> Array </code>",local:"utilscorecalculatedimensionsarr--code-array-code",headingTag:"h2"}}),oe=new v({props:{title:"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>",local:"utilscorepopobj-key-defaultvalue--code--code",headingTag:"h2"}}),pe=new v({props:{title:"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>",local:"utilscoremergearraysarrs--code-array-code",headingTag:"h2"}}),ve=new v({props:{title:"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>",local:"utilscorecalculatereflectoffseti-w--code-number-code",headingTag:"h2"}}),xe=new v({props:{title:"utils/core~Callable",local:"utilscorecallable",headingTag:"h2"}}),we=new v({props:{title:"new Callable()",local:"new-callable",headingTag:"h3"}}),ge=new v({props:{title:"callable._call(...args)",local:"callablecallargs",headingTag:"h3"}}),{c(){T=o("meta"),Ke=r(),ke=o("p"),Oe=r(),y=o("a"),Be=r(),n(_.$$.fragment),ze=r(),$=o("p"),$.textContent=gl,Ie=r(),x=o("p"),x.textContent=Pl,qe=r(),C=o("ul"),C.innerHTML=El,Ne=r(),Ue=o("hr"),Se=r(),H=o("a"),Ve=r(),n(L.$$.fragment),Fe=r(),w=o("p"),w.textContent=Rl,Ge=r(),M=o("p"),M.innerHTML=jl,Je=r(),Qe=o("hr"),We=r(),A=o("a"),Xe=r(),n(g.$$.fragment),Ye=r(),P=o("p"),P.textContent=kl,Ze=r(),E=o("p"),E.innerHTML=Dl,et=r(),R=o("table"),R.innerHTML=Kl,tt=r(),lt=o("hr"),it=r(),j=o("a"),rt=r(),n(k.$$.fragment),st=r(),D=o("p"),D.textContent=Ol,ot=r(),K=o("p"),K.innerHTML=Bl,at=r(),O=o("table"),O.innerHTML=zl,dt=r(),ct=o("hr"),ut=r(),B=o("a"),nt=r(),n(z.$$.fragment),pt=r(),I=o("p"),I.textContent=Il,ft=r(),q=o("p"),q.innerHTML=ql,mt=r(),N=o("p"),N.innerHTML=Nl,ht=r(),U=o("table"),U.innerHTML=Ul,bt=r(),vt=o("hr"),Tt=r(),S=o("a"),yt=r(),n(V.$$.fragment),_t=r(),F=o("p"),F.textContent=Sl,$t=r(),G=o("p"),G.innerHTML=Vl,xt=r(),J=o("table"),J.innerHTML=Fl,Ct=r(),Ht=o("hr"),Lt=r(),Q=o("a"),wt=r(),n(W.$$.fragment),Mt=r(),X=o("p"),X.textContent=Gl,At=r(),Y=o("p"),Y.innerHTML=Jl,gt=r(),Z=o("table"),Z.innerHTML=Ql,Pt=r(),Et=o("hr"),Rt=r(),ee=o("a"),jt=r(),n(te.$$.fragment),kt=r(),le=o("p"),le.textContent=Wl,Dt=r(),ie=o("p"),ie.innerHTML=Xl,Kt=r(),re=o("table"),re.innerHTML=Yl,Ot=r(),Bt=o("hr"),zt=r(),se=o("a"),It=r(),n(oe.$$.fragment),qt=r(),ae=o("p"),ae.textContent=Zl,Nt=r(),de=o("p"),de.innerHTML=ei,Ut=r(),ce=o("ul"),ce.innerHTML=ti,St=r(),ue=o("table"),ue.innerHTML=li,Vt=r(),Ft=o("hr"),Gt=r(),ne=o("a"),Jt=r(),n(pe.$$.fragment),Qt=r(),fe=o("p"),fe.innerHTML=ii,Wt=r(),me=o("p"),me.innerHTML=ri,Xt=r(),he=o("table"),he.innerHTML=si,Yt=r(),Zt=o("hr"),el=r(),be=o("a"),tl=r(),n(ve.$$.fragment),ll=r(),Te=o("p"),Te.textContent=oi,il=r(),ye=o("p"),ye.innerHTML=ai,rl=r(),_e=o("table"),_e.innerHTML=di,sl=r(),ol=o("hr"),al=r(),$e=o("a"),dl=r(),n(xe.$$.fragment),cl=r(),Ce=o("p"),Ce.innerHTML=ci,ul=r(),He=o("ul"),He.innerHTML=ui,nl=r(),pl=o("hr"),fl=r(),Le=o("a"),ml=r(),n(we.$$.fragment),hl=r(),Me=o("p"),Me.textContent=ni,bl=r(),vl=o("hr"),Tl=r(),Ae=o("a"),yl=r(),n(ge.$$.fragment),_l=r(),Pe=o("p"),Pe.textContent=pi,$l=r(),Ee=o("p"),Ee.innerHTML=fi,xl=r(),Re=o("ul"),Re.innerHTML=mi,Cl=r(),je=o("table"),je.innerHTML=hi,Hl=r(),Ll=o("hr"),wl=r(),De=o("p"),this.h()},l(e){const l=$i("svelte-u9bgzb",document.head);T=a(l,"META",{name:!0,content:!0}),l.forEach(t),Ke=s(e),ke=a(e,"P",{}),u(ke).forEach(t),Oe=s(e),y=a(e,"A",{id:!0,class:!0}),u(y).forEach(t),Be=s(e),p(_.$$.fragment,e),ze=s(e),$=a(e,"P",{"data-svelte-h":!0}),d($)!=="svelte-u71mwf"&&($.textContent=gl),Ie=s(e),x=a(e,"P",{"data-svelte-h":!0}),d(x)!=="svelte-1r3ntfo"&&(x.textContent=Pl),qe=s(e),C=a(e,"UL",{"data-svelte-h":!0}),d(C)!=="svelte-1prd8z8"&&(C.innerHTML=El),Ne=s(e),Ue=a(e,"HR",{}),Se=s(e),H=a(e,"A",{id:!0,class:!0}),u(H).forEach(t),Ve=s(e),p(L.$$.fragment,e),Fe=s(e),w=a(e,"P",{"data-svelte-h":!0}),d(w)!=="svelte-1u9qjt4"&&(w.textContent=Rl),Ge=s(e),M=a(e,"P",{"data-svelte-h":!0}),d(M)!=="svelte-1vaez1e"&&(M.innerHTML=jl),Je=s(e),Qe=a(e,"HR",{}),We=s(e),A=a(e,"A",{id:!0,class:!0}),u(A).forEach(t),Xe=s(e),p(g.$$.fragment,e),Ye=s(e),P=a(e,"P",{"data-svelte-h":!0}),d(P)!=="svelte-dvlmk2"&&(P.textContent=kl),Ze=s(e),E=a(e,"P",{"data-svelte-h":!0}),d(E)!=="svelte-14f6o7p"&&(E.innerHTML=Dl),et=s(e),R=a(e,"TABLE",{"data-svelte-h":!0}),d(R)!=="svelte-8if77n"&&(R.innerHTML=Kl),tt=s(e),lt=a(e,"HR",{}),it=s(e),j=a(e,"A",{id:!0,class:!0}),u(j).forEach(t),rt=s(e),p(k.$$.fragment,e),st=s(e),D=a(e,"P",{"data-svelte-h":!0}),d(D)!=="svelte-14ro5y0"&&(D.textContent=Ol),ot=s(e),K=a(e,"P",{"data-svelte-h":!0}),d(K)!=="svelte-nstyrr"&&(K.innerHTML=Bl),at=s(e),O=a(e,"TABLE",{"data-svelte-h":!0}),d(O)!=="svelte-1h5d263"&&(O.innerHTML=zl),dt=s(e),ct=a(e,"HR",{}),ut=s(e),B=a(e,"A",{id:!0,class:!0}),u(B).forEach(t),nt=s(e),p(z.$$.fragment,e),pt=s(e),I=a(e,"P",{"data-svelte-h":!0}),d(I)!=="svelte-1oclrgb"&&(I.textContent=Il),ft=s(e),q=a(e,"P",{"data-svelte-h":!0}),d(q)!=="svelte-1uuf78s"&&(q.innerHTML=ql),mt=s(e),N=a(e,"P",{"data-svelte-h":!0}),d(N)!=="svelte-pr567i"&&(N.innerHTML=Nl),ht=s(e),U=a(e,"TABLE",{"data-svelte-h":!0}),d(U)!=="svelte-cdg32t"&&(U.innerHTML=Ul),bt=s(e),vt=a(e,"HR",{}),Tt=s(e),S=a(e,"A",{id:!0,class:!0}),u(S).forEach(t),yt=s(e),p(V.$$.fragment,e),_t=s(e),F=a(e,"P",{"data-svelte-h":!0}),d(F)!=="svelte-1ityjuy"&&(F.textContent=Sl),$t=s(e),G=a(e,"P",{"data-svelte-h":!0}),d(G)!=="svelte-1n9m385"&&(G.innerHTML=Vl),xt=s(e),J=a(e,"TABLE",{"data-svelte-h":!0}),d(J)!=="svelte-6n2d7i"&&(J.innerHTML=Fl),Ct=s(e),Ht=a(e,"HR",{}),Lt=s(e),Q=a(e,"A",{id:!0,class:!0}),u(Q).forEach(t),wt=s(e),p(W.$$.fragment,e),Mt=s(e),X=a(e,"P",{"data-svelte-h":!0}),d(X)!=="svelte-1l2mf7d"&&(X.textContent=Gl),At=s(e),Y=a(e,"P",{"data-svelte-h":!0}),d(Y)!=="svelte-1s16qo7"&&(Y.innerHTML=Jl),gt=s(e),Z=a(e,"TABLE",{"data-svelte-h":!0}),d(Z)!=="svelte-6n2d7i"&&(Z.innerHTML=Ql),Pt=s(e),Et=a(e,"HR",{}),Rt=s(e),ee=a(e,"A",{id:!0,class:!0}),u(ee).forEach(t),jt=s(e),p(te.$$.fragment,e),kt=s(e),le=a(e,"P",{"data-svelte-h":!0}),d(le)!=="svelte-1p78ixx"&&(le.textContent=Wl),Dt=s(e),ie=a(e,"P",{"data-svelte-h":!0}),d(ie)!=="svelte-1tb7iu1"&&(ie.innerHTML=Xl),Kt=s(e),re=a(e,"TABLE",{"data-svelte-h":!0}),d(re)!=="svelte-1kcvid9"&&(re.innerHTML=Yl),Ot=s(e),Bt=a(e,"HR",{}),zt=s(e),se=a(e,"A",{id:!0,class:!0}),u(se).forEach(t),It=s(e),p(oe.$$.fragment,e),qt=s(e),ae=a(e,"P",{"data-svelte-h":!0}),d(ae)!=="svelte-1m1a0x7"&&(ae.textContent=Zl),Nt=s(e),de=a(e,"P",{"data-svelte-h":!0}),d(de)!=="svelte-1dwq64m"&&(de.innerHTML=ei),Ut=s(e),ce=a(e,"UL",{"data-svelte-h":!0}),d(ce)!=="svelte-n4a723"&&(ce.innerHTML=ti),St=s(e),ue=a(e,"TABLE",{"data-svelte-h":!0}),d(ue)!=="svelte-j5xxk1"&&(ue.innerHTML=li),Vt=s(e),Ft=a(e,"HR",{}),Gt=s(e),ne=a(e,"A",{id:!0,class:!0}),u(ne).forEach(t),Jt=s(e),p(pe.$$.fragment,e),Qt=s(e),fe=a(e,"P",{"data-svelte-h":!0}),d(fe)!=="svelte-kvbp1p"&&(fe.innerHTML=ii),Wt=s(e),me=a(e,"P",{"data-svelte-h":!0}),d(me)!=="svelte-1ydcymw"&&(me.innerHTML=ri),Xt=s(e),he=a(e,"TABLE",{"data-svelte-h":!0}),d(he)!=="svelte-stz7tp"&&(he.innerHTML=si),Yt=s(e),Zt=a(e,"HR",{}),el=s(e),be=a(e,"A",{id:!0,class:!0}),u(be).forEach(t),tl=s(e),p(ve.$$.fragment,e),ll=s(e),Te=a(e,"P",{"data-svelte-h":!0}),d(Te)!=="svelte-1m1ncmy"&&(Te.textContent=oi),il=s(e),ye=a(e,"P",{"data-svelte-h":!0}),d(ye)!=="svelte-vsw9ui"&&(ye.innerHTML=ai),rl=s(e),_e=a(e,"TABLE",{"data-svelte-h":!0}),d(_e)!=="svelte-xzg366"&&(_e.innerHTML=di),sl=s(e),ol=a(e,"HR",{}),al=s(e),$e=a(e,"A",{id:!0,class:!0}),u($e).forEach(t),dl=s(e),p(xe.$$.fragment,e),cl=s(e),Ce=a(e,"P",{"data-svelte-h":!0}),d(Ce)!=="svelte-15n5joc"&&(Ce.innerHTML=ci),ul=s(e),He=a(e,"UL",{"data-svelte-h":!0}),d(He)!=="svelte-thd9hc"&&(He.innerHTML=ui),nl=s(e),pl=a(e,"HR",{}),fl=s(e),Le=a(e,"A",{id:!0,class:!0}),u(Le).forEach(t),ml=s(e),p(we.$$.fragment,e),hl=s(e),Me=a(e,"P",{"data-svelte-h":!0}),d(Me)!=="svelte-hu496d"&&(Me.textContent=ni),bl=s(e),vl=a(e,"HR",{}),Tl=s(e),Ae=a(e,"A",{id:!0,class:!0}),u(Ae).forEach(t),yl=s(e),p(ge.$$.fragment,e),_l=s(e),Pe=a(e,"P",{"data-svelte-h":!0}),d(Pe)!=="svelte-8c74gj"&&(Pe.textContent=pi),$l=s(e),Ee=a(e,"P",{"data-svelte-h":!0}),d(Ee)!=="svelte-161nsqx"&&(Ee.innerHTML=fi),xl=s(e),Re=a(e,"UL",{"data-svelte-h":!0}),d(Re)!=="svelte-7c1v8c"&&(Re.innerHTML=mi),Cl=s(e),je=a(e,"TABLE",{"data-svelte-h":!0}),d(je)!=="svelte-1v34kj"&&(je.innerHTML=hi),Hl=s(e),Ll=a(e,"HR",{}),wl=s(e),De=a(e,"P",{}),u(De).forEach(t),this.h()},h(){c(T,"name","hf:doc:metadata"),c(T,"content",Hi),c(y,"id","module_utils/core"),c(y,"class","group"),c(H,"id","module_utils/core.Callable"),c(H,"class","group"),c(A,"id","module_utils/core.reverseDictionary"),c(A,"class","group"),c(j,"id","module_utils/core.escapeRegExp"),c(j,"class","group"),c(B,"id","module_utils/core.isTypedArray"),c(B,"class","group"),c(S,"id","module_utils/core.isIntegralNumber"),c(S,"class","group"),c(Q,"id","module_utils/core.exists"),c(Q,"class","group"),c(ee,"id","module_utils/core.calculateDimensions"),c(ee,"class","group"),c(se,"id","module_utils/core.pop"),c(se,"class","group"),c(ne,"id","module_utils/core.mergeArrays"),c(ne,"class","group"),c(be,"id","module_utils/core.calculateReflectOffset"),c(be,"class","group"),c($e,"id","module_utils/core..Callable"),c($e,"class","group"),c(Le,"id","new_module_utils/core..Callable_new"),c(Le,"class","group"),c(Ae,"id","module_utils/core..Callable+_call"),c(Ae,"class","group")},m(e,l){xi(document.head,T),i(e,Ke,l),i(e,ke,l),i(e,Oe,l),i(e,y,l),i(e,Be,l),f(_,e,l),i(e,ze,l),i(e,$,l),i(e,Ie,l),i(e,x,l),i(e,qe,l),i(e,C,l),i(e,Ne,l),i(e,Ue,l),i(e,Se,l),i(e,H,l),i(e,Ve,l),f(L,e,l),i(e,Fe,l),i(e,w,l),i(e,Ge,l),i(e,M,l),i(e,Je,l),i(e,Qe,l),i(e,We,l),i(e,A,l),i(e,Xe,l),f(g,e,l),i(e,Ye,l),i(e,P,l),i(e,Ze,l),i(e,E,l),i(e,et,l),i(e,R,l),i(e,tt,l),i(e,lt,l),i(e,it,l),i(e,j,l),i(e,rt,l),f(k,e,l),i(e,st,l),i(e,D,l),i(e,ot,l),i(e,K,l),i(e,at,l),i(e,O,l),i(e,dt,l),i(e,ct,l),i(e,ut,l),i(e,B,l),i(e,nt,l),f(z,e,l),i(e,pt,l),i(e,I,l),i(e,ft,l),i(e,q,l),i(e,mt,l),i(e,N,l),i(e,ht,l),i(e,U,l),i(e,bt,l),i(e,vt,l),i(e,Tt,l),i(e,S,l),i(e,yt,l),f(V,e,l),i(e,_t,l),i(e,F,l),i(e,$t,l),i(e,G,l),i(e,xt,l),i(e,J,l),i(e,Ct,l),i(e,Ht,l),i(e,Lt,l),i(e,Q,l),i(e,wt,l),f(W,e,l),i(e,Mt,l),i(e,X,l),i(e,At,l),i(e,Y,l),i(e,gt,l),i(e,Z,l),i(e,Pt,l),i(e,Et,l),i(e,Rt,l),i(e,ee,l),i(e,jt,l),f(te,e,l),i(e,kt,l),i(e,le,l),i(e,Dt,l),i(e,ie,l),i(e,Kt,l),i(e,re,l),i(e,Ot,l),i(e,Bt,l),i(e,zt,l),i(e,se,l),i(e,It,l),f(oe,e,l),i(e,qt,l),i(e,ae,l),i(e,Nt,l),i(e,de,l),i(e,Ut,l),i(e,ce,l),i(e,St,l),i(e,ue,l),i(e,Vt,l),i(e,Ft,l),i(e,Gt,l),i(e,ne,l),i(e,Jt,l),f(pe,e,l),i(e,Qt,l),i(e,fe,l),i(e,Wt,l),i(e,me,l),i(e,Xt,l),i(e,he,l),i(e,Yt,l),i(e,Zt,l),i(e,el,l),i(e,be,l),i(e,tl,l),f(ve,e,l),i(e,ll,l),i(e,Te,l),i(e,il,l),i(e,ye,l),i(e,rl,l),i(e,_e,l),i(e,sl,l),i(e,ol,l),i(e,al,l),i(e,$e,l),i(e,dl,l),f(xe,e,l),i(e,cl,l),i(e,Ce,l),i(e,ul,l),i(e,He,l),i(e,nl,l),i(e,pl,l),i(e,fl,l),i(e,Le,l),i(e,ml,l),f(we,e,l),i(e,hl,l),i(e,Me,l),i(e,bl,l),i(e,vl,l),i(e,Tl,l),i(e,Ae,l),i(e,yl,l),f(ge,e,l),i(e,_l,l),i(e,Pe,l),i(e,$l,l),i(e,Ee,l),i(e,xl,l),i(e,Re,l),i(e,Cl,l),i(e,je,l),i(e,Hl,l),i(e,Ll,l),i(e,wl,l),i(e,De,l),Ml=!0},p:vi,i(e){Ml||(m(_.$$.fragment,e),m(L.$$.fragment,e),m(g.$$.fragment,e),m(k.$$.fragment,e),m(z.$$.fragment,e),m(V.$$.fragment,e),m(W.$$.fragment,e),m(te.$$.fragment,e),m(oe.$$.fragment,e),m(pe.$$.fragment,e),m(ve.$$.fragment,e),m(xe.$$.fragment,e),m(we.$$.fragment,e),m(ge.$$.fragment,e),Ml=!0)},o(e){h(_.$$.fragment,e),h(L.$$.fragment,e),h(g.$$.fragment,e),h(k.$$.fragment,e),h(z.$$.fragment,e),h(V.$$.fragment,e),h(W.$$.fragment,e),h(te.$$.fragment,e),h(oe.$$.fragment,e),h(pe.$$.fragment,e),h(ve.$$.fragment,e),h(xe.$$.fragment,e),h(we.$$.fragment,e),h(ge.$$.fragment,e),Ml=!1},d(e){e&&(t(Ke),t(ke),t(Oe),t(y),t(Be),t(ze),t($),t(Ie),t(x),t(qe),t(C),t(Ne),t(Ue),t(Se),t(H),t(Ve),t(Fe),t(w),t(Ge),t(M),t(Je),t(Qe),t(We),t(A),t(Xe),t(Ye),t(P),t(Ze),t(E),t(et),t(R),t(tt),t(lt),t(it),t(j),t(rt),t(st),t(D),t(ot),t(K),t(at),t(O),t(dt),t(ct),t(ut),t(B),t(nt),t(pt),t(I),t(ft),t(q),t(mt),t(N),t(ht),t(U),t(bt),t(vt),t(Tt),t(S),t(yt),t(_t),t(F),t($t),t(G),t(xt),t(J),t(Ct),t(Ht),t(Lt),t(Q),t(wt),t(Mt),t(X),t(At),t(Y),t(gt),t(Z),t(Pt),t(Et),t(Rt),t(ee),t(jt),t(kt),t(le),t(Dt),t(ie),t(Kt),t(re),t(Ot),t(Bt),t(zt),t(se),t(It),t(qt),t(ae),t(Nt),t(de),t(Ut),t(ce),t(St),t(ue),t(Vt),t(Ft),t(Gt),t(ne),t(Jt),t(Qt),t(fe),t(Wt),t(me),t(Xt),t(he),t(Yt),t(Zt),t(el),t(be),t(tl),t(ll),t(Te),t(il),t(ye),t(rl),t(_e),t(sl),t(ol),t(al),t($e),t(dl),t(cl),t(Ce),t(ul),t(He),t(nl),t(pl),t(fl),t(Le),t(ml),t(hl),t(Me),t(bl),t(vl),t(Tl),t(Ae),t(yl),t(_l),t(Pe),t($l),t(Ee),t(xl),t(Re),t(Cl),t(je),t(Hl),t(Ll),t(wl),t(De)),t(T),b(_,e),b(L,e),b(g,e),b(k,e),b(z,e),b(V,e),b(W,e),b(te,e),b(oe,e),b(pe,e),b(ve,e),b(xe,e),b(we,e),b(ge,e)}}}const Hi='{"title":"utils/core","local":"utilscore","sections":[{"title":"utils/core.Callable : <code> * </code>","local":"utilscorecallable--code--code","sections":[],"depth":2},{"title":"utils/core.reverseDictionary(data) ⇒ <code> Object </code>","local":"utilscorereversedictionarydata--code-object-code","sections":[],"depth":2},{"title":"utils/core.escapeRegExp(string) ⇒ <code> string </code>","local":"utilscoreescaperegexpstring--code-string-code","sections":[],"depth":2},{"title":"utils/core.isTypedArray(val) ⇒ <code> boolean </code>","local":"utilscoreistypedarrayval--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.isIntegralNumber(x) ⇒ <code> boolean </code>","local":"utilscoreisintegralnumberx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.exists(x) ⇒ <code> boolean </code>","local":"utilscoreexistsx--code-boolean-code","sections":[],"depth":2},{"title":"utils/core.calculateDimensions(arr) ⇒ <code> Array </code>","local":"utilscorecalculatedimensionsarr--code-array-code","sections":[],"depth":2},{"title":"utils/core.pop(obj, key, defaultValue) ⇒ <code> * </code>","local":"utilscorepopobj-key-defaultvalue--code--code","sections":[],"depth":2},{"title":"utils/core.mergeArrays(arrs) ⇒ <code> Array </code>","local":"utilscoremergearraysarrs--code-array-code","sections":[],"depth":2},{"title":"utils/core.calculateReflectOffset(i, w) ⇒ <code> number </code>","local":"utilscorecalculatereflectoffseti-w--code-number-code","sections":[],"depth":2},{"title":"utils/core~Callable","local":"utilscorecallable","sections":[{"title":"new Callable()","local":"new-callable","sections":[],"depth":3},{"title":"callable._call(...args)","local":"callablecallargs","sections":[],"depth":3}],"depth":2}],"depth":1}';function Li(Al){return Ti(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class gi extends yi{constructor(T){super(),_i(this,T,Li,Ci,bi,{})}}export{gi as component};
